SDL_hid_device_info Struct Reference

`#include <SDL_hidapi.h>`

Collaboration diagram for SDL_hid_device_info:
[legend]

## Data Fields

char * | path
unsigned short | vendor_id
unsigned short | product_id
wchar_t * | serial_number
unsigned short | release_number
wchar_t * | manufacturer_string
wchar_t * | product_string
unsigned short | usage_page
unsigned short | usage
int | interface_number
int | interface_class
int | interface_subclass
int | interface_protocol
SDL_hid_bus_type | bus_type
struct SDL_hid_device_info * | next

## Detailed Description

hidapi info structure Information about a connected HID device

Since
  This struct is available since SDL 3.2.0.

Definition at line 113 of file SDL_hidapi.h.

## Field Documentation

## bus_type

SDL_hid_bus_type SDL_hid_device_info::bus_type

Underlying bus type

Definition at line 151 of file SDL_hidapi.h.

## interface_class

int SDL_hid_device_info::interface_class

Additional information about the USB interface. Valid on libusb and Android implementations.

Definition at line 146 of file SDL_hidapi.h.

## interface_number

int SDL_hid_device_info::interface_number

The USB interface which this logical device represents.

Valid only if the device is a USB HID device. Set to -1 in all other cases.

Definition at line 142 of file SDL_hidapi.h.

## interface_protocol

int SDL_hid_device_info::interface_protocol

Definition at line 148 of file SDL_hidapi.h.

## interface_subclass

int SDL_hid_device_info::interface_subclass

Definition at line 147 of file SDL_hidapi.h.

## manufacturer_string

wchar_t* SDL_hid_device_info::manufacturer_string

Manufacturer String

Definition at line 127 of file SDL_hidapi.h.

## next

struct SDL_hid_device_info* SDL_hid_device_info::next

Pointer to the next device

Definition at line 154 of file SDL_hidapi.h.

## path

char* SDL_hid_device_info::path

Platform-specific device path

Definition at line 116 of file SDL_hidapi.h.

## product_id

unsigned short SDL_hid_device_info::product_id

Device Product ID

Definition at line 120 of file SDL_hidapi.h.

## product_string

wchar_t* SDL_hid_device_info::product_string

Product string

Definition at line 129 of file SDL_hidapi.h.

## release_number

unsigned short SDL_hid_device_info::release_number

Device Release Number in binary-coded decimal, also known as Device Version Number

Definition at line 125 of file SDL_hidapi.h.

## serial_number

wchar_t* SDL_hid_device_info::serial_number

Serial Number

Definition at line 122 of file SDL_hidapi.h.

## usage

unsigned short SDL_hid_device_info::usage

Usage for this Device/Interface (Windows/Mac/hidraw only)

Definition at line 135 of file SDL_hidapi.h.

## usage_page

unsigned short SDL_hid_device_info::usage_page

Usage Page for this Device/Interface (Windows/Mac/hidraw only)

Definition at line 132 of file SDL_hidapi.h.

## vendor_id

unsigned short SDL_hid_device_info::vendor_id

Device Vendor ID

Definition at line 118 of file SDL_hidapi.h.

The documentation for this struct was generated from the following file:

- SDL_hidapi.h